> 为了更好的区分组件类型，仅在更新日志中进行如下约定：低码组件使用大驼峰命名，源码组件使用小驼峰命名。

## [1.1] - 2021-08-09

### Added

- text 文本

  - 新增事件 `tap`

- modal 模态弹窗

  - 新增组件 `modal`, web 使用 tea 样式用于 PC 样式响应式。

- showModal 显示弹窗

  - 新增动作 `showModal`，用于平台方法的 PC 大屏响应式版本，小程序对齐 wx.showModal api。

- FormTextarea 表单多行输入

  - 新增组件 `FormTextarea`, 用以替代被移除的 `Textarea` 组件

### Changed

- button 按钮

  - 添加响应式样式，屏幕宽度大于 **1024px** 时显示为方角

- swiper 轮播

  - 添加响应式样式，屏幕宽度大于 1024px 时显示为方角

- FormRadio 表单单选

  - 修复多个单选组件并存导致的选中问题

- FormCheckbox 表单复选

  - 修复多个复选组件并存导致的选中问题

- 所有组件:
  - 表单组件的默认背景色，统一配置为透明
  - 组件最外层容器统一添加 `weda-ui` 类名，组件库级别重置样式及公共样式都限制在 `weda-ui` 类名下，防止污染
  - 规范了组件事件的触发方式

## [1.0] - 2021-06-10

### Added

- text 文本:

  - 新增属性 `maxLines` 最大显示行数

- FormRegion 表单区域选择:

  - 新增组件 `FormRegion`, 用以替代被移除的 `RegionPicker` 组件

### Removed

- swiper 轮播:

  - 移除属性 `displayMultipleItems`, `nextMargin`, `previousMargin`, `updated`
  - 移除 `transition` 和 `animationfinished` 事件

- text 文本:

  - 移除属性 `decode` 是否解码
  - 移除 `tap` 事件

- image 图片:

  - 移除属性 `webp` 能否解析 webp 格式

- button 按钮:

  - 移除属性 `plain` 镂空
  - 移除属性 `openType` 微信开放能力的 `获取用户信息` 选项

- FormInput 表单输入:

  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormRadio 表单单选:

  - 移除属性 `validateTrigger` 字段触发校验类型
  - 移除属性 `validateStatus` 校验状态
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormCheckbox 表单复选:

  - 移除属性 `validateTrigger` 字段触发校验类型
  - 移除属性 `validateStatus` 校验状态
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormSwitch 表单开关:

  - 移除属性 `type` 显示类型
  - 移除属性 `checkedIcon` 选中图标
  - 移除属性 `uncheckedIcon` 非选中图标
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormDate 表单日期:

  - 移除属性 `suffixType` 操作尾部样式类型
  - 移除属性 `suffixText` 操作尾部文案
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormTime 表单时间:

  - 移除属性 `suffixType` 操作尾部样式类型
  - 移除属性 `suffixText` 操作尾部文案
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormSelect 表单选择:

  - 移除属性 `suffixType` 操作尾部样式类型
  - 移除属性 `suffixText` 操作尾部文案
  - 移除属性 `validateTrigger` 字段触发校验类型
  - 移除属性 `validateStatus` 校验状态
  - 移除属性 `rules` 校验规则
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormPhone 表单手机号码:

  - 移除属性 `maxLength` 最大输入长度
  - 移除属性 `rules` 校验规则
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormEmail 表单邮件地址:

  - 移除属性 `rules` 校验规则
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormUrl 表单邮件地址:

  - 移除属性 `rules` 校验规则
  - 移除属性 `requiredFlag` 是否需要必填星号
  - 移除属性 `underline` 是否需要底部下划线

- FormItem 表单元素:

  - 移除组件

- FormCell 表单表格:

  - 移除组件

- RegionPicker 地域选择:

  - 移除组件

- Textarea 多行输入:

  - 移除组件, 待优化后重新上架

### Changed

- image 图片:

  - 默认大小由 320\*240 rpx 调整为 240\*240 rpx

- text 文本:

  - 跟随小程序定义，`selectabble` 变更为 `userSelect`
  - 样式调整：默认布局模式从 `inline` 编程 `block`

- button 按钮：

  - 样式调整：从默认宽度 `100%` 调整为默认 `184px`

- Form 表单容器:

  - 样式优化

- FormInput 表单输入:

  - 样式优化

- FormRadio 表单单选:

  - 属性 `name` 表单字段名称，默认值由 `thisIsRadioKey` 改为 `formRadio`
  - 样式优化

- FormCheckbox 表单复选:

  - 属性 `name` 表单字段名称，默认值由 `thisIsCheckboxKey` 改为 `formCheckbox`
  - 样式优化

- FormSwitch 表单开关:

  - 属性 `name` 表单字段名称，默认值由 `thisIsSelectKey` 改为 `formSwitch`
  - 样式优化

- FormDate 表单日期:

  - 属性 `name` 表单字段名称，默认值由 `thisIsDateKey` 改为 `formDate`
  - 样式优化

- FormTime 表单时间:

  - 属性 `name` 表单字段名称，默认值由 `thisIsTimeKey` 改为 `formTime`
  - 样式优化

- FormSelect 表单选择:

  - 属性 `name` 表单字段名称，默认值由 `thisIsSelectKey` 改为 `formSelect`
  - 样式优化

- FormPhone 表单手机号码:

  - 样式优化

- FormEmail 表单邮件地址:

  - 样式优化

- FormUrl 表单邮件地址:

  - 样式优化
