import * as React from 'react';
import * as PropTypes from 'prop-types';

import classNames from '../../../utils/classnames';

export default function Form({
  // 系统属性
  className,
  events,
  // 组件属性
  // title,
  // description,
  // tips,
  contentSlot,
  // buttonSlot,
  ...props
}) {
  const cls = classNames({
    'weda-ui': true,
    'weui-form': true,
    [className]: className,
  });

  return (
    <div className={cls} {...props}>
      {/* <div className="weui-form__text-area">
        {title ? <h2 className="weui-form__title">{title}</h2> : null}
        {description ? (
          <div className="weui-form__desc">{description}</div>
        ) : null}
      </div> */}
      {/* <div className="weui-form__control-area"> */}
      <div className="weui-cells__group weui-cells__group_form">
        {contentSlot}
      </div>
      {/* </div> */}
      {/* <div className="weui-form__tips-area">
        <p className="weui-form__tips">{tips}</p>
      </div> */}
      {/* <div className="weui-form__opr-area">{buttonSlot}</div> */}
    </div>
  );
}

Form.propTypes = {
  // 系统属性
  className: PropTypes.string,
  events: PropTypes.object,
  // 组件属性
  // title: PropTypes.string,
  // description: PropTypes.string,
  // tips: PropTypes.string,
  contentSlot: PropTypes.any,
  // buttonSlot: PropTypes.any,
};

Form.defaultProps = {
  // title: '表单标题',
  // description:
  //   '展示表单页面的信息结构样式, 分别由头部区域、控件区域和操作区域组成。',
};
