import * as React from 'react';
import * as PropTypes from 'prop-types';

import classNames from '../../../utils/classnames';
import './index.css';

export default function FormCell({
  className,
  style,
  label,
  layout,
  children,
  multiCell,
  requiredFlag,
}) {
  const isFlex = layout !== 'vertical';

  return (
    <div className={className} style={style}>
      <div
        className={classNames({
          'weda-formcells': true,
          'weui-cells': true,
          'weui-cells_forms': !multiCell,
          'weui-cells_checkbox': multiCell,
          'weui-flex': isFlex,
        })}
      >
        {label ? (
          <div
            className={classNames({
              'weda-formcells__label': true,
              // 标题也采用使用weui-cell的样式
              'weui-cell': true,
            })}
          >
            {requiredFlag ? (
              <label className="weda-formcells__flag">*</label>
            ) : null}
            <label>{label}</label>
          </div>
        ) : null}
        <div
          className={classNames({
            'weda-formcells__content': true,
            'weui-flex__item': isFlex,
          })}
        >
          {children}
        </div>
      </div>
    </div>
  );
}

FormCell.propTypes = {
  className: PropTypes.string,
  style: PropTypes.string,
  label: PropTypes.string,
  labelVisible: PropTypes.bool,
  layout: PropTypes.string,
  children: PropTypes.any,
  multiCell: PropTypes.bool,
  requiredFlag: PropTypes.bool,
};
