import * as React from 'react';
import * as PropTypes from 'prop-types';

import classNames from '../../../utils/classnames';

export default function Tips({
  // 系统属性
  className,
  events,
  // 组件属性
  tips,
  type,
  ...props
}) {
  const cls = classNames({
    'weda-ui': true,
    'weda-tips': true,
    'weui-cells__tips': !!tips,
    'weui-cells__tips_warn': !!tips && type === 'warn',
    [className]: className,
  });

  return (
    <div className={cls} {...props}>
      {tips}
    </div>
  );
}

Tips.propTypes = {
  // 系统属性
  id: PropTypes.string,
  className: PropTypes.string,
  events: PropTypes.objectOf(PropTypes.func),
  // 组件属性
  tips: PropTypes.string,
  type: PropTypes.oneOf(['normal', 'warn']),
};

Tips.defaultProps = {
  // 系统属性
  events: {},
  // 组件属性
  tips: '表单提示',
  type: 'normal',
};
