import * as React from 'react';
import * as PropTypes from 'prop-types';
import { isH5Platform } from '../../../utils/platform';
import { UploaderH5 } from './uploaderH5';
import { UploaderPc } from './uploaderPc';
import './index.css';

/**
 * 图片组件上传，区分 h5端/pc端
 */
export default function Uploader(props) {
  return isH5Platform() ? <UploaderH5 {...props} /> : <UploaderPc {...props} />;
}

Uploader.propTypes = {
  id: PropTypes.string,
  className: PropTypes.string,
  title: PropTypes.string, // 标题
  tips: PropTypes.string, // 提示
  btnTitle: PropTypes.string, // 上传按钮标题
  maxUploadCount: PropTypes.number, // 上传图片最大数量
  maxSize: PropTypes.number, // 单个图片大小限制，单位是M
  acceptTypes: PropTypes.array, // 图片类型，JPG | TIF | BMP | JPEG | TIFF | PNG
  requiredFlag: PropTypes.bool, // 是否必填
  events: PropTypes.objectOf(PropTypes.func),
  readOnly: PropTypes.bool, // 仅展示无上传
  initialValue: PropTypes.array, // 初始值，该参数需配合 formily 使用
  onChange: PropTypes.objectOf(PropTypes.func), // 值变化，该参数需配合 formily 使用
};
