/* eslint-disable react/display-name */
/* eslint-disable react/prop-types */
import * as React from 'react';
import RawMarkdown from 'react-markdown';
import { Prism } from 'react-syntax-highlighter';

import * as PropTypes from 'prop-types';
import classNames from '../../utils/classnames';

const renderers = {
  code: ({ language, value = '' }) => (
    <Prism language={language}>{value}</Prism>
  ),
};

export default function Markdown({ source = '', className = '', ...props }) {
  return (
    <div
      className={classNames({
        'weda-ui': true,
        [className]: className,
      })}
      {...props}
    >
      <RawMarkdown source={source} renderers={renderers} />
    </div>
  );
}

Markdown.propTypes = {
  /**
   * markdown 文本内容
   */
  source: PropTypes.string,
};
