import * as React from 'react';
import * as PropTypes from 'prop-types';

import classNames from '../../utils/classnames';

import './index.css';

export default function RichTextView({
  value = '',
  events = {},
  className,
  ...props
}) {
  const cls = classNames({
    'weda-ui': true,
    'weda-RichTextView': true,
    [className]: className,
  });

  return (
    <div className={cls} {...props}>
      <div dangerouslySetInnerHTML={{ __html: value }}></div>
    </div>
  );
}

RichTextView.propTypes = {
  /**
   * 内容
   */
  value: PropTypes.string,

  /**
   * 组件事件
   */
  events: PropTypes.objectOf(PropTypes.func),

  /**
   * 自定义类
   */
  className: PropTypes.string,
};

/**
 * 默认属性
 */
RichTextView.defaultProps = {
  value: '',
};
