import * as React from 'react';
import * as PropTypes from 'prop-types';

export default function Slot({ compositeParent, name, className }) {
  if (!compositeParent) {
    console.warn('Slot组件只能用于实现复合组件');
    // 兼容编辑器点击，可选中 Slot 组件
    return (
      <div className={'weda-ui' + className ? ` ${className}` : ''}>
        {'Slot - ' + name}
      </div>
    );
  }
  return compositeParent.props.data[name] || null;
}

Slot.propTypes = {
  className: PropTypes.string,
  name: PropTypes.string,
};
